/*
 * Copyright (C) 2000 LAAS/CNRS 
 *
 * Anthony Mallet - Thu Jun 29 2000
 *
 * $Log: libpom.h,v $
 * Revision 1.1.1.1  2005/06/16 12:36:43  matthieu
 * import autotoolized calife subset needed by pom
 *
 * Revision 1.4.2.4  2004/03/04 11:06:43  sara
 * No more union for the clients
 *
 * Revision 1.4.2.3  2004/01/13 17:58:05  sara
 * VmainToOrigin -> VLocal
 *
 * Revision 1.4.2.2  2003/07/31 08:07:11  jbhayet
 * De nouvelle structures
 *
 * Revision 1.4.2.1  2003/06/25 09:40:38  jbhayet
 * Commitage includes
 *
 * Revision 1.4  2001/07/11 18:04:38  mallet
 * prototype manquant
 *
 * Revision 1.3  2000/09/04 19:19:00  mallet
 * version qui fusionne par ecrasement en accordant la priorite aux estimateurs dont la confiance est la plus grande
 *
 * Revision 1.2  2000/08/17 14:27:38  mallet
 * devel
 *
 * Revision 1.1  2000/07/24 16:44:29  mallet
 * protos de libpom
 *
 */
#ifndef _LIBPOM_H
#define _LIBPOM_H

#include "t3d/t3d.h"
#include "libpom/struct.h"
#include "zlib.h"

/* Structure that is produced by pomFuse */
typedef struct LibPomPos {
  int date;
  int pad;
  T3D mainToBase;
  T3D mainToOrigin;
  T3D VLocal;
} LibPomPos;


/* --- API ----------------------------------------------------------- */

int		pomInit(int fusionMethod);
int		pomMECreate(char *name, int fuse);
int		pomMERemove(int me);
gzFile *	pomLog(gzFile *file);

int		pomSetFusionMethod(PomFusionMethod fusionMethod);
int		pomSetPosFromME(int me);
int		pomSetRefME(int me);

int		pomSetZero(T3D *mainToOrigin);

int		pomTick(void);
int		pomFuse(LibPomPos *pos);
int		pomMEDeltaUpdate(int me, LibPomMEPos *pos);
int		pomMEUpdate(int me, LibPomMEPos *pos);
int		pomReset(void);

PomMEClass	pomClass(int me);
int		pomGetPos(int me, T3D *pos);
T3D *		pomGetRefDisplacement(int date1, int date2);
int		pomGetTick(void);

#endif /* _LIBPOM_H */
